/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type SignInResult struct {

	Session string `json:"session,omitempty"`

	ProlongToken string `json:"prolongToken,omitempty"`
}

// AssertSignInResultRequired checks if the required fields are not zero-ed
func AssertSignInResultRequired(obj SignInResult) error {
	return nil
}

// AssertRecurseSignInResultRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of SignInResult (e.g. [][]SignInResult), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseSignInResultRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aSignInResult, ok := obj.(SignInResult)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertSignInResultRequired(aSignInResult)
	})
}
